package com.tofly.xrtygis.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.dto.CostbgWaterDto;

import java.util.Map;

/**
 * 自定义制水成本
 *
 * @author 陈浩
 */
public interface CustomWaterPlanService {
    /**
     * 新增预算制水计划
     *
     * @param year 年份
     * @return boolean
     */
    boolean insertPlan(String year);

    /**
     * 新增预算制水计划详情
     *
     * @param costbgwaters 预算水量记录信息表
     * @return boolean
     */
    boolean fillInTheBudget(CostbgWaterDto costbgwaters);

    /**
     * 查看预算计划
     *
     * @param page page
     * @return page
     */
    Page pagePlan(Page page, String year, String state);

    /**
     * 查看预算计划详情
     *
     * @param id   计划id
     * @param page page
     * @return page
     */
    Map<String,Object> selectPlanInfo(Long id);

    /**
     * 删除预算计划
     *
     * @param id 计划id
     * @return true
     */
    boolean deletePlan(String id);

    /**
     * 修改预算计划详情
     *
     * @param costbgWaterDto vo
     * @return true
     */
    boolean updatePlanInfo(CostbgWaterDto costbgWaterDto);


}
